[arch-commits] Commit in pan/trunk (ChangeLog PKGBUILD pan-0.133-gcc44.patch)

Eric Bélanger eric at archlinux.org
Mon Nov 16 21:22:36 EST 2009


    Date: Monday, November 16, 2009 @ 21:22:36
  Author: eric
Revision: 58902

upgpkg: pan 0.133-4
    Downgraded from git snapshot to devel release - FS#16934

Added:
  pan/trunk/pan-0.133-gcc44.patch
Modified:
  pan/trunk/ChangeLog
  pan/trunk/PKGBUILD

-----------------------+
 ChangeLog             |    5 +++++
 PKGBUILD              |   16 +++++++---------
 pan-0.133-gcc44.patch |   33 +++++++++++++++++++++++++++++++++
 3 files changed, 45 insertions(+), 9 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2009-11-17 01:01:21 UTC (rev 58901)
+++ ChangeLog	2009-11-17 02:22:36 UTC (rev 58902)
@@ -1,3 +1,8 @@
+2009-11-16  Eric Belanger  <eric at archlinux.org>
+
+	* pan 0.133-4
+	* Downgraded from git snapshot to devel release
+
 2009-11-08  Eric Belanger  <eric at archlinux.org>
 
 	* pan 0.133-3

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-17 01:01:21 UTC (rev 58901)
+++ PKGBUILD	2009-11-17 02:22:36 UTC (rev 58902)
@@ -4,7 +4,7 @@
 
 pkgname=pan
 pkgver=0.133
-pkgrel=3
+pkgrel=4
 pkgdesc="A powerful Newsgroup Article reader based on GTK2"
 arch=('i686' 'x86_64')
 url="http://pan.rebelbase.com/"
@@ -14,18 +14,16 @@
 conflicts=('pan-devel')
 replaces=('pan-devel')
 options=('!makeflags')
-source=(ftp://ftp.archlinux.org/other/pan/pan-git-5f07296.tbz \
-        pan-gmime24.diff pan-mime-utils.diff)
-md5sums=('57417e3b8b335d94ebf7c1e5da6c5ba8' '4049619102aef7149c08e9dc6285ffa5'\
-         'cc6105c5c0efd36c5333dbec6c7f6a5c')
-sha1sums=('389a8b4bef03c0f32c2c70ea1e596664fbacefff' 'c2c3d1b36590646490444d797080d7b8da975d85'\
-         '1c4a5c2bb39dd91b901218b62458c2ae599e37ba')
+source=(http://pan.rebelbase.com/download/releases/${pkgver}/source/${pkgname}-${pkgver}.tar.bz2 pan-0.133-gcc44.patch)
+md5sums=('ca165da8557605d89d327cff78891b89' '9e2637e27eaa439fef51786d4cc45461')
+sha1sums=('a0bd98ea1ba174800896611e3305a6b6d8dbde2f' 'b2953a3f3ab936d946994c64c19a291457fcb005')
 
 build() {
-  cd "${srcdir}/${pkgname}2"
+  cd "${srcdir}/${pkgname}-${pkgver}"
 #  patch -p1 < ../pan-gmime24.diff || return 1
 #  patch -p0 < ../pan-mime-utils.diff || return 1
-  ./autogen.sh --prefix=/usr || return 1
+  patch -p1 < ../pan-0.133-gcc44.patch || return 1
+  ./configure --prefix=/usr || return 1
   make || return 1
   make DESTDIR="${pkgdir}" install || return 1
 }

Added: pan-0.133-gcc44.patch
===================================================================
--- pan-0.133-gcc44.patch	                        (rev 0)
+++ pan-0.133-gcc44.patch	2009-11-17 02:22:36 UTC (rev 58902)
@@ -0,0 +1,33 @@
+diff -Naur pan-0.133-orig/pan/general/log.h pan-0.133/pan/general/log.h
+--- pan-0.133-orig/pan/general/log.h	2007-08-01 11:00:01.000000000 -0600
++++ pan-0.133/pan/general/log.h	2009-05-15 16:03:53.699935401 -0600
+@@ -20,6 +20,7 @@
+ #ifndef __Log_h__
+ #define __Log_h__
+ 
++#include <cstdio>
+ #include <ctime>
+ #include <set>
+ #include <string>
+diff -Naur pan-0.133-orig/pan/general/progress.cc pan-0.133/pan/general/progress.cc
+--- pan-0.133-orig/pan/general/progress.cc	2007-08-01 11:00:01.000000000 -0600
++++ pan-0.133/pan/general/progress.cc	2009-05-15 16:00:06.843924198 -0600
+@@ -19,6 +19,7 @@
+ 
+ #include <config.h>
+ #include <cstdarg>
++#include <cstdio>
+ #include "progress.h"
+ #include "string-view.h"
+ 
+diff -Naur pan-0.133-orig/pan/usenet-utils/numbers.cc pan-0.133/pan/usenet-utils/numbers.cc
+--- pan-0.133-orig/pan/usenet-utils/numbers.cc	2008-07-04 09:01:53.000000000 -0600
++++ pan-0.133/pan/usenet-utils/numbers.cc	2009-05-15 16:04:48.354310199 -0600
+@@ -22,6 +22,7 @@
+ #include <pan/general/string-view.h>
+ #include "numbers.h"
+ #include <algorithm>
++#include <cstdio>
+ 
+ using namespace pan;
+ 



More information about the arch-commits mailing list